Package org.opensaml.core.xml.util

# Enum Class XMLObjectSupport.CloneOutputOption

java.lang.Object
java.lang.Enum<XMLObjectSupport.CloneOutputOption>
org.opensaml.core.xml.util.XMLObjectSupport.CloneOutputOption

All Implemented Interfaces:
  `Serializable`, `Comparable<XMLObjectSupport.CloneOutputOption>`, `Constable`

Enclosing class:
  XMLObjectSupport

public static enum XMLObjectSupport.CloneOutputOption extends Enum<XMLObjectSupport.CloneOutputOption>
Options for handling output of XMLObject cloning.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DropDOM`
Completely and recursively drop the DOM from the cloned object and its children.
`RootDOMInNewDocument`
The cloned XMLObject's DOM will be the root document element of a new `Document`, that is it will be the `Element` returned by `Document.getDocumentElement()`.
`UnrootedDOM`
The cloned XMLObject's DOM will be owned by the same `Document` as the input object (the latter possibly newly created by marshalling internally), but will not be connected to the node tree associated with the `Document.getDocumentElement()`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`CloneOutputOption()`

## Method Summary

Modifier and Type
Method
Description
`static XMLObjectSupport.CloneOutputOption`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XMLObjectSupport.CloneOutputOption[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DropDOM

public static final XMLObjectSupport.CloneOutputOption DropDOM
Completely and recursively drop the DOM from the cloned object and its children.

### RootDOMInNewDocument

public static final XMLObjectSupport.CloneOutputOption RootDOMInNewDocument
The cloned XMLObject's DOM will be the root document element of a new `Document`, that is it will be the `Element` returned by `Document.getDocumentElement()`.

### UnrootedDOM

public static final XMLObjectSupport.CloneOutputOption UnrootedDOM
The cloned XMLObject's DOM will be owned by the same `Document` as the input object (the latter possibly newly created by marshalling internally), but will not be connected to the node tree associated with the `Document.getDocumentElement()`.

## Constructor Details

### CloneOutputOption

private CloneOutputOption()

## Method Details

### values

public static XMLObjectSupport.CloneOutputOption[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static XMLObjectSupport.CloneOutputOption valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null